import { Result, deleteRequest, get, post, put } from "../base";

/**
 * 分页查询
 * @param query .
 * @returns .
 */
export function queryPage<T>(query?: any): Promise<Result<T>> {
  return get("agent/pay/merchant/page", query);
}

/**
 * 列表查询
 * @param query .
 * @returns .
 */
export function queryList<T>(query?: any): Promise<Result<T>> {
  return get("/agent/pay/merchant/list", query);
}

/**
 * 新增
 * @param data .
 * @returns .
 */
export function save<T>(data: any): Promise<Result<T>> {
  return post("/agent/pay/merchant/save", data);
}

/**
 * 更新
 * @param id .
 * @param data .
 * @returns  .
 */
export function update<T>(id: string, data: any): Promise<Result<T>> {
  return put(`/agent/pay/merchant/update`, {}, data);
}

/**
 * 删除用户
 * @param merchantId .
 * @returns  .
 */
export function del<T>(merchantId: string): Promise<Result<T>> {
  return deleteRequest(`/agent/pay/merchant/remove/`+ merchantId);
}
